Bug 170277 - CAN-2005-3180 orinoco driver information leakage
Summary: CAN-2005-3180 orinoco driver information leakage
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard: public=20051004,impact=important,sour...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-10 14:44 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2005-808
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-27 15:10:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-orinoco-skb-pad.patch (923 bytes, patch)
2005-10-11 18:21 UTC, John W. Linville
no flags Details | Diff

Description Mark J. Cox 2005-10-10 14:44:51 UTC
The orinoco driver can send uninitialized data exposing random pieces of the
system memory.  This happens because data is not padded with zeroes when its
length needs to be increased.

For the 2.6 upstream fix see
http://linux.bkbits.net:8080/linux-2.6/cset@43434a71q9eUGtXKCTmWyYIPqFjEUQ

However Alan Cox said "skb_padto already does the if() so the extra if
(skb->len < len) just wastes resources"

Comment 1 John W. Linville 2005-10-11 18:21:57 UTC
Created attachment 119814 [details]
jwltest-orinoco-skb-pad.patch

Comment 2 John W. Linville 2005-10-12 16:32:42 UTC
Test kernels w/ the above patch available here: 
  
   http://people.redhat.com/linville/kernels/rhel4/ 
  
RHEL4 orinoco users are invited to give them a spin... 

Comment 7 Red Hat Bugzilla 2005-10-27 15:10:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-808.html



Note You need to log in before you can comment on or make changes to this bug.